org.hibernate.validator.internal.metadata.provider

## Class XmlMetaDataProvider

- java.lang.Object
- - org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName
  - - org.hibernate.validator.internal.metadata.provider.XmlMetaDataProvider

- All Implemented Interfaces:
    MetaDataProvider

      public class XmlMetaDataProvider
      extends MetaDataProviderKeyedByClassName

  A `MetaDataProvider` providing constraint related meta data based on XML descriptors as defined by the Bean Validation API.
  Author:
    Gunnar Morling, Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName

      `constraintHelper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlMetaDataProvider(ConstraintHelper constraintHelper, ParameterNameProvider parameterNameProvider, Set<InputStream> mappingStreams)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationProcessingOptions` | `getAnnotationProcessingOptions()` Returns the annotation processing options as configured by this provider.

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName

      `addBeanConfiguration, createBeanConfiguration, getBeanConfiguration, getBeanConfigurationForHierarchy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlMetaDataProvider

          public XmlMetaDataProvider(ConstraintHelper constraintHelper,
                             ParameterNameProvider parameterNameProvider,
                             Set<InputStream> mappingStreams)

      Parameters:
        `constraintHelper` - the constraint helper
        `mappingStreams` - the input stream for the xml configuration

  - ### Method Detail

    - #### getAnnotationProcessingOptions

          public AnnotationProcessingOptions getAnnotationProcessingOptions()

      Description copied from interface: `MetaDataProvider`
      Returns the annotation processing options as configured by this provider.
      Returns:
        The annotation processing options as configured by this provider.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved